Subject: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64

From: Pierre Langlois <[email-masked]>
Date: Sat, 29 Jan 2022 20:54:24 +0000

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Wed, Jan 19, 2022 at 11:28:28AM -0800, Vagrant Cascadian wrote:
>> I tried building a newer version, but there were new test suite failures
>> on both aarch64 and x86_64 :/
>
> Since the 'guix' package still does not build on aarch64, I'm reopening
> this bug.

Oh it doesn't? What hash are you on?

I'm currently on b14a1cdef571c0901f716f4e752a97e8028ccbbd on a RockPro64
and it's working OK, maybe something changed since then although this
hash isn't very old. I see the farm does not have any substitutes yet.

Thanks,
Pierre